Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRPdfExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.JRPdfExporterParameter

    public class JRPdfExporterParameter

extends JRExporterParameter

Contains parameters useful for export in PDF format.

The PDF exporter can send data to an output stream or a file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

Version:
  $Id: JRPdfExporterParameter.java 3795 2010-05-13 09:43:07Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static JRPdfExporterParameter` | `FORCE_LINEBREAK_POLICY` Flag that decides whether the PDF exporter should use a `SplitCharacter` implementation which ensures that report texts are broken into lines by iText in the same manner as done by the fill process.
`static JRPdfExporterParameter` | `FORCE_SVG_SHAPES` Flag to force the rendering of SVG images using shapes, on the PDF Graphics2D context.
`static JRPdfExporterParameter` | `IS_128_BIT_KEY` A boolean value specifying whether the encryption key is 128 bits.
`static JRPdfExporterParameter` | `IS_COMPRESSED` A boolean value specifying whether the PDF document should be compressed.
`static JRPdfExporterParameter` | `IS_CREATING_BATCH_MODE_BOOKMARKS` A boolean value specifying whether the PDF document should contain an outline section
`static JRPdfExporterParameter` | `IS_ENCRYPTED` A boolean value specifying whether the final PDF document should be encrypted.
`static JRPdfExporterParameter` | `IS_TAGGED` Specifies whether the exporter should put structure tags in the generated PDF.
`static JRPdfExporterParameter` | `METADATA_AUTHOR` The Author of the PDF document, as String.
`static JRPdfExporterParameter` | `METADATA_CREATOR` The Creator or Application for the PDF document, as String, defaults to JasperReports.
`static JRPdfExporterParameter` | `METADATA_KEYWORDS` The Keywords of the PDF document, as comma-separated String.
`static JRPdfExporterParameter` | `METADATA_SUBJECT` The Subject of the PDF document, as String.
`static JRPdfExporterParameter` | `METADATA_TITLE` The Title of the PDF document, as String.
`static JRPdfExporterParameter` | `OWNER_PASSWORD` The password belonging to the owner of the document, if it is encrypted.
`static JRPdfExporterParameter` | `PDF_JAVASCRIPT` The user defined JavaScript piece of code to be inserted in the generated PDF document
`static JRPdfExporterParameter` | `PDF_VERSION` A `Character` instance representing the version of the generated PDF.
`static java.lang.Character` | `PDF_VERSION_1_2`
`static java.lang.Character` | `PDF_VERSION_1_3`
`static java.lang.Character` | `PDF_VERSION_1_4`
`static java.lang.Character` | `PDF_VERSION_1_5`
`static java.lang.Character` | `PDF_VERSION_1_6`
`static java.lang.Character` | `PDF_VERSION_1_7`
`static JRPdfExporterParameter` | `PERMISSIONS` An integer value representing the PDF permissions for the generated document.
`static JRPdfExporterParameter` | `PRINT_SCALING` Parameter specifying the print scaling preference in the PDF print dialog.
`static java.lang.String` | `PRINT_SCALING_DEFAULT`
`static java.lang.String` | `PRINT_SCALING_NONE`
`static java.lang.String` | `PROPERTY_128_BIT_KEY` Property whose value is used as default state of the `IS_128_BIT_KEY` export flag.
`static java.lang.String` | `PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS` Property that determines if missing bookmark levels are collapsed, or if empty bookmarks are created for the missing levels.
`static java.lang.String` | `PROPERTY_COMPRESSED` Property whose value is used as default state of the `IS_COMPRESSED` export flag.
`static java.lang.String` | `PROPERTY_CREATE_BATCH_MODE_BOOKMARKS` Property whose value is used as default state of the `IS_CREATING_BATCH_MODE_BOOKMARKS` export flag.
`static java.lang.String` | `PROPERTY_ENCRYPTED` Property whose value is used as default state of the `IS_ENCRYPTED` export flag.
`static java.lang.String` | `PROPERTY_FORCE_LINEBREAK_POLICY` Property that provides a default value for the `FORCE_LINEBREAK_POLICY` PDF exporter parameter.
`static java.lang.String` | `PROPERTY_FORCE_SVG_SHAPES` Property that provides a default value for the `FORCE_SVG_SHAPES` PDF exporter parameter.
`static java.lang.String` | `PROPERTY_OWNER_PASSWORD` Property whose value is used as default for the `OWNER_PASSWORD` export parameter.
`static java.lang.String` | `PROPERTY_PDF_JAVASCRIPT` Property whose value is used as default for the `PDF_JAVASCRIPT` export parameter.
`static java.lang.String` | `PROPERTY_PDF_VERSION` Property whose value is used as default for the `PDF_VERSION` export parameter.
`static java.lang.String` | `PROPERTY_PRINT_SCALING` Property whose value is used as default state of the `PRINT_SCALING` export parameter.
`static java.lang.String` | `PROPERTY_TAG_LANGUAGE` Property whose value is used as default for the `TAG_LANGUAGE` export parameter.
`static java.lang.String` | `PROPERTY_TAGGED` Property whose value is used as default for the `IS_TAGGED` export parameter.
`static java.lang.String` | `PROPERTY_USER_PASSWORD` Property whose value is used as default for the `USER_PASSWORD` export parameter.
`static JRPdfExporterParameter` | `TAG_LANGUAGE` Specifies the language that the exporter should put in the language tag of the generated PDF.
`static JRPdfExporterParameter` | `USER_PASSWORD` The user password needed to open the document, if it is encrypted.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`protected` | `JRPdfExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PDF_VERSION_1_2

    public static final java.lang.Character PDF_VERSION_1_2

### PDF_VERSION_1_3

    public static final java.lang.Character PDF_VERSION_1_3

### PDF_VERSION_1_4

    public static final java.lang.Character PDF_VERSION_1_4

### PDF_VERSION_1_5

    public static final java.lang.Character PDF_VERSION_1_5

### PDF_VERSION_1_6

    public static final java.lang.Character PDF_VERSION_1_6

### PDF_VERSION_1_7

    public static final java.lang.Character PDF_VERSION_1_7

### PRINT_SCALING_DEFAULT

    public static final java.lang.String PRINT_SCALING_DEFAULT

See Also:
  Constant Field Values

### PRINT_SCALING_NONE

    public static final java.lang.String PRINT_SCALING_NONE

See Also:
  Constant Field Values

### IS_CREATING_BATCH_MODE_BOOKMARKS

    public static final JRPdfExporterParameter IS_CREATING_BATCH_MODE_BOOKMARKS

  A boolean value specifying whether the PDF document should contain an outline section

### PROPERTY_CREATE_BATCH_MODE_BOOKMARKS

    public static final java.lang.String PROPERTY_CREATE_BATCH_MODE_BOOKMARKS

  Property whose value is used as default state of the `IS_CREATING_BATCH_MODE_BOOKMARKS` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_COMPRESSED

    public static final JRPdfExporterParameter IS_COMPRESSED

  A boolean value specifying whether the PDF document should be compressed.

### PROPERTY_COMPRESSED

    public static final java.lang.String PROPERTY_COMPRESSED

  Property whose value is used as default state of the `IS_COMPRESSED` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_ENCRYPTED

    public static final JRPdfExporterParameter IS_ENCRYPTED

  A boolean value specifying whether the final PDF document should be encrypted.

### PROPERTY_ENCRYPTED

    public static final java.lang.String PROPERTY_ENCRYPTED

  Property whose value is used as default state of the `IS_ENCRYPTED` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_128_BIT_KEY

    public static final JRPdfExporterParameter IS_128_BIT_KEY

  A boolean value specifying whether the encryption key is 128 bits.

### PROPERTY_128_BIT_KEY

    public static final java.lang.String PROPERTY_128_BIT_KEY

  Property whose value is used as default state of the `IS_128_BIT_KEY` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### USER_PASSWORD

    public static final JRPdfExporterParameter USER_PASSWORD

  The user password needed to open the document, if it is encrypted.

### PROPERTY_USER_PASSWORD

    public static final java.lang.String PROPERTY_USER_PASSWORD

  Property whose value is used as default for the `USER_PASSWORD` export parameter.

  See Also:
    `JRProperties`, Constant Field Values

### OWNER_PASSWORD

    public static final JRPdfExporterParameter OWNER_PASSWORD

  The password belonging to the owner of the document, if it is encrypted. If the password is null, it will be replaced by a random string.

### PROPERTY_OWNER_PASSWORD

    public static final java.lang.String PROPERTY_OWNER_PASSWORD

  Property whose value is used as default for the `OWNER_PASSWORD` export parameter.

  See Also:
    `JRProperties`, Constant Field Values

### PERMISSIONS

    public static final JRPdfExporterParameter PERMISSIONS

  An integer value representing the PDF permissions for the generated document. The open permissions for the document can be AllowPrinting, AllowModifyContents, AllowCopy, AllowModifyAnnotations, AllowFillIn, AllowScreenReaders, AllowAssembly and AllowDegradedPrinting (these can all be found in the PdfWriter class of iText library). The permissions can be combined by applying bitwise OR to them.

### PDF_VERSION

    public static final JRPdfExporterParameter PDF_VERSION

  A `Character` instance representing the version of the generated PDF. This class contains predefined constants that can be passed as parameters directly.

### PROPERTY_PDF_VERSION

    public static final java.lang.String PROPERTY_PDF_VERSION

  Property whose value is used as default for the `PDF_VERSION` export parameter. Possible values of the this property are 2, 3, 4, 5, 6 and 7.

  See Also:
    `JRProperties`, Constant Field Values

### METADATA_TITLE

    public static final JRPdfExporterParameter METADATA_TITLE

  The Title of the PDF document, as String.

### METADATA_AUTHOR

    public static final JRPdfExporterParameter METADATA_AUTHOR

  The Author of the PDF document, as String.

### METADATA_SUBJECT

    public static final JRPdfExporterParameter METADATA_SUBJECT

  The Subject of the PDF document, as String.

### METADATA_KEYWORDS

    public static final JRPdfExporterParameter METADATA_KEYWORDS

  The Keywords of the PDF document, as comma-separated String.

### METADATA_CREATOR

    public static final JRPdfExporterParameter METADATA_CREATOR

  The Creator or Application for the PDF document, as String, defaults to JasperReports.

### FORCE_LINEBREAK_POLICY

    public static final JRPdfExporterParameter FORCE_LINEBREAK_POLICY

  Flag that decides whether the PDF exporter should use a `SplitCharacter` implementation which ensures that report texts are broken into lines by iText in the same manner as done by the fill process.

  The default line-breaking logic differs from AWT (which is used during the report fill) to iText (used by the PDF exporter). By setting this flag, the logic used by AWT is imposed to iText. The drawback is that the PDF export performance would drop. Because of this, the flag is not set by default.

  This flag can be set system-wide using the `PROPERTY_FORCE_LINEBREAK_POLICY` property. This export parameter overrides the property value.

  See Also:
    `PROPERTY_FORCE_LINEBREAK_POLICY`, `BreakIteratorSplitCharacter`

### PROPERTY_FORCE_LINEBREAK_POLICY

    public static final java.lang.String PROPERTY_FORCE_LINEBREAK_POLICY

  Property that provides a default value for the `FORCE_LINEBREAK_POLICY` PDF exporter parameter.

  See Also:
    `FORCE_LINEBREAK_POLICY`, Constant Field Values

### FORCE_SVG_SHAPES

    public static final JRPdfExporterParameter FORCE_SVG_SHAPES

  Flag to force the rendering of SVG images using shapes, on the PDF Graphics2D context. This allows rendering fonts as shapes and avoid font mapping issues that might cause Unicode text not to show up properly, but has the disadvantage of producing larger PDF files. By default, the flag is set to true, mainly due to backward compatibility reasons. To reduce PDF file size for documents containing SVG images such as charts, the flag should be turned to false, and the PDF exporter font mappings should be correctly configured using the font extension support, to ensure proper rendering of text in the SVG. This flag can be set system-wide using the `PROPERTY_FORCE_SVG_SHAPES` property. This export parameter overrides the property value.

  See Also:
    `PROPERTY_FORCE_SVG_SHAPES`

### PROPERTY_FORCE_SVG_SHAPES

    public static final java.lang.String PROPERTY_FORCE_SVG_SHAPES

  Property that provides a default value for the `FORCE_SVG_SHAPES` PDF exporter parameter.

  See Also:
    Constant Field Values

### PDF_JAVASCRIPT

    public static final JRPdfExporterParameter PDF_JAVASCRIPT

  The user defined JavaScript piece of code to be inserted in the generated PDF document

### PROPERTY_PDF_JAVASCRIPT

    public static final java.lang.String PROPERTY_PDF_JAVASCRIPT

  Property whose value is used as default for the `PDF_JAVASCRIPT` export parameter.

  See Also:
    `JRProperties`, Constant Field Values

### PRINT_SCALING

    public static final JRPdfExporterParameter PRINT_SCALING

  Parameter specifying the print scaling preference in the PDF print dialog.

### PROPERTY_PRINT_SCALING

    public static final java.lang.String PROPERTY_PRINT_SCALING

  Property whose value is used as default state of the `PRINT_SCALING` export parameter.

  By default, this property is set to `PRINT_SCALING_DEFAULT`.

  See Also:
    `JRProperties`, Constant Field Values

### IS_TAGGED

    public static final JRPdfExporterParameter IS_TAGGED

  Specifies whether the exporter should put structure tags in the generated PDF.

### PROPERTY_TAGGED

    public static final java.lang.String PROPERTY_TAGGED

  Property whose value is used as default for the `IS_TAGGED` export parameter.

  See Also:
    `JRProperties`, Constant Field Values

### TAG_LANGUAGE

    public static final JRPdfExporterParameter TAG_LANGUAGE

  Specifies the language that the exporter should put in the language tag of the generated PDF.

### PROPERTY_TAG_LANGUAGE

    public static final java.lang.String PROPERTY_TAG_LANGUAGE

  Property whose value is used as default for the `TAG_LANGUAGE` export parameter.

  See Also:
    `JRProperties`, Constant Field Values

### PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS

    public static final java.lang.String PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS

  Property that determines if missing bookmark levels are collapsed, or if empty bookmarks are created for the missing levels.

  The property dictates what happens when a filled report contains an anchor having a bookmark level that is not the immediate successor of its parent (e.g. an anchor with bookmark level 3 follows immediately after a bookmark of level 1). If the property is not set, an empty bookmark is created for the missing level(s) in order to preserve the original level of the bookmark. When the property is set, the level of the bookmark will be collapsed and the bookmark will be created as a direct descendant of its nearest parent.

  The property can be set globally and at report level. By default, the property is set to `false`.

  Since:
    3.7.3
  See Also:
    `JRAnchor.getBookmarkLevel()`, Constant Field Values

Constructor Detail

### JRPdfExporterParameter

    protected JRPdfExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com